<%@ page language="java" contentType="text/html;charset=EUC_JP" pageEncoding="EUC_JP" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/datetime-1.0" prefix="dt" %>
<html>
  <head>
    <style type="text/css"><!--
      .bgcolor  {  background-color : #eeeeee;  }
      .top      {  vertical-align   : top;      }
    --></style>
    <title>DateTime Tag Library (1)</title>
  </head>
  <body>
    <h2>DateTime Tag Library (1)</h2>
    <table>
    <tr><td class="top">
    <h3>currentTimeformat</h3>
    ¹:<dt:format pattern="yyyy/MM/dd HH:mm"><dt:currentTime/></dt:format><br>
    </td><td class="top">
    <h3>parse</h3>
    <dt:format pattern="yyyy/MM/dd"><dt:parse pattern="MM/dd/yyyy">07/01/2002</dt:parse></dt:format><br>
    </td><td class="top">
    <h3>timeZone</h3>
    <dt:timeZone id="Japan">JST</dt:timeZone>
    <dt:timeZone id="USPacific">PST</dt:timeZone>
    <dt:timeZone id="Europe">GMT</dt:timeZone>
    ܻ֤Ǥ
    <dt:format pattern="yyyy/MM/dd HH:mm" timeZone="Japan"><dt:currentTime/></dt:format><br>
    ꥫ(ʿ¦)Ǥ
    <dt:format pattern="yyyy/MM/dd HH:mm" timeZone="USPacific"><dt:currentTime/></dt:format><br>
    衼åѤǤ
    <dt:format pattern="yyyy/MM/dd HH:mm" timeZone="Europe"><dt:currentTime/></dt:format><br>
    </td></tr>
    <tr><td class="top">
    <h3>timeZone</h3>
    <% int count = 0; %>
    <form>
      <select>
        <dt:timeZones id="tzs">
          <option value="<jsp:getProperty name="tzs" property="zoneId"/>">
          <%= ++count %>:
          <jsp:getProperty name="tzs" property="displayName"/>:
          <jsp:getProperty name="tzs" property="zoneId"/>
        </dt:timeZones>
      </select>
    </form>
    </td><td class="top">
    <h3>months</h3>
    <form>
      <select>
        <dt:months id="month">
          <option value="<jsp:getProperty name="month" property="monthOfYear"/>">
          <jsp:getProperty name="month" property="monthOfYear"/>:
          <jsp:getProperty name="month" property="shortMonth"/>:
          <jsp:getProperty name="month" property="month"/>
        </dt:months>
      </select>
    </form>
    </td><td class="top">
    <h3>weekdays</h3>
    <form>
      <select>
        <dt:weekdays id="weekday">
          <option value="<jsp:getProperty name="weekday" property="dayOfWeek"/>">
          <jsp:getProperty name="weekday" property="dayOfWeek"/>:
          <jsp:getProperty name="weekday" property="shortWeekday"/>:
          <jsp:getProperty name="weekday" property="weekday"/>
        </dt:weekdays>
      </select>
    </form>
    </td><td class="top">
    <h3>amPms</h3>
    <form>
      <select>
        <dt:amPms id="ampm">
          <option value="<jsp:getProperty name="ampm" property="name"/>">
          <jsp:getProperty name="ampm" property="name"/>
        </dt:amPms>
      </select>
    </form>
    </td><td class="top">
    <h3>eras</h3>
    <form>
      <select>
        <dt:eras id="era">
          <option value="<jsp:getProperty name="era" property="name"/>">
          <jsp:getProperty name="era" property="name"/>
        </dt:eras>
      </select>
    </form>
    </td></tr>
    </table>
  </body>
</html>