<%@ page language="java"  pageEncoding="EUC_JP"
         contentType="text/html;charset=EUC_JP" %>
<%-- Ѥ륿饤֥֤̾(Core, XML) --%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<%@ taglib prefix="x" uri="http://java.sun.com/jstl/xml" %>
<html>
  <head>
    <meta http-equiv="Cache-Control" content="no-store,no-cache">
    <meta http-equiv="Pragma"        content="no-cache">
    <meta http-equiv="Expires"       content="0">
    <title>My First JSTL (xml06.jsp:transform)</title>
  </head>
  <body>
    <h2>JSTLXMLɽ(xml06.jsp:transform)</h2>
    <c:set var="xml">
      <bookmarks>
        <bookmark lang="ja">
          <name>ɾ</name>
          <url>http://www.gihyo.co.jp/</url>
        </bookmark>
        <bookmark lang="ja">
          <name>WEB+DB Press</name>
          <url>http://www.gihyo.co.jp/wdpress/</url>
        </bookmark>
        <bookmark lang="en">
          <name>JSTL</name>
          <url>http://jakarta.apache.org/taglibs/doc/standard-doc/intro.html</url>
        </bookmark>
      </bookmarks>
    </c:set>
    <c:set var="xslt">
      <xsl:transform version="1.0"
                     xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
        <xsl:output omit-xml-declaration="yes" indent="yes" encoding="EUC-JP" />
        <xsl:template match="//bookmarks">
          <table border="1">
            <tr><th></th><th>URL</th></tr>
            <xsl:for-each select="//bookmark">
              <tr>
                <td><xsl:value-of select="name" /></td>
                <td>
                  <xsl:if test="@lang = 'en'">(Ѹ)</xsl:if>
                  <xsl:element name="a">
                    <xsl:attribute name="href">
                      <xsl:value-of select="url" />
                    </xsl:attribute>
                    <xsl:value-of select="url" />
                  </xsl:element>
                </td>
              </tr>
            </xsl:for-each>
          </table>
        </xsl:template>
      </xsl:transform>
    </c:set>
    <x:transform xml="${xml}" xslt="${xslt}" />
  </body>
</html>