<%@ page language="java" contentType="text/html;charset=EUC_JP" pageEncoding="EUC_JP" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/application-1.0" prefix="app" %>
<html>
  <head>
    <style type="text/css"><!--
      .bgcolor  {  background-color : #eeeeee;  }
      .top      {  vertical-align   : top;      }
    --></style>
    <title>Application Tag Library (1)</title>
  </head>
  <body>
    <h2>Application Tag Library (1)</h2>
    <table><tr><td class="top">
    <h3>attribute</h3>
    <app:setAttribute name="attr1">value1</app:setAttribute>
    attr1 = <app:attribute name="attr1"/><br>
    <h3>attributes</h3>
    <app:setAttribute name="attr2">value2</app:setAttribute>
    <% int attrCount = 0; %>
    <table border="1">
      <app:attributes id="attrs">
        <% if ( !attrs.getName().startsWith( "attr" ) ) continue; %>
        <tr><td class="bgcolor" colspan="2">° <%= ++attrCount %></th></tr>
        <tr><td nowrap>̾</th><td><jsp:getProperty name="attrs" property="name"/></td></tr>
        <tr><td></th><td><jsp:getProperty name="attrs" property="value"/></td></tr>
      </app:attributes>
    </table>
    <h3>equalsAttributes</h3>
    <app:equalsAttribute name="attr1" match="value1">
      attr1ͤ<app:attribute name="attr1" /><br>
    </app:equalsAttribute>
    <app:equalsAttribute name="attr2" match="value1" value="false" ignoreCase="false">
      attr2ͤvalue1ʤ<app:attribute name="attr2" /><br>
    </app:equalsAttribute>
    <h3>existsAttribute</h3>
    <app:existsAttribute name="attr1">°attr1Ƥޤ</app:existsAttribute><br>
    <app:existsAttribute name="attr3" value="false">°attr3Ƥޤ</app:existsAttribute><br>
    <h3>removeAttributes</h3>
    <app:removeAttribute name="attr1"/> <app:removeAttribute name="attr2"/>
    <app:existsAttribute name="attr1" value="false">°attr1Ͼõޤ</app:existsAttribute><br>
    <app:existsAttribute name="attr2" value="false">°attr2Ͼõޤ</app:existsAttribute>
    </td><td class="top">
    <h3>initParameter</h3>
    InitParameter1 = <app:initParameter name="InitParameter1"/><br>
    InitParameter2 = <app:initParameter name="InitParameter2"/><br>
    <h3>initParameters</h3>
    <% int initParamCount = 0; %>
    <table border="1">
      <app:attributes id="initParams">
        <% if ( !initParams.getName().startsWith( "InitParameter" ) ) continue; %>
        <tr><td class="bgcolor" colspan="2">° <%= ++initParamCount %></th></tr>
        <tr><td nowrap>̾</th><td><jsp:getProperty name="initParams" property="name"/></td></tr>
        <tr><td></th><td><jsp:getProperty name="initParams" property="value"/></td></tr>
      </app:attributes>
    </table>
    <h3>equalsInitParameter</h3>
    <app:equalsInitParameter name="InitParameter1" match="InitParameterValue1">
      InitParameter1ͤ<app:initParameter name="InitParameter1" /><br>
    </app:equalsInitParameter>
    <app:equalsInitParameter name="InitParameter2" match="InitParameterValue1" value="false" ignoreCase="false">
      InitParameter2ͤInitParameterValue1ʤ<app:initParameter name="InitParameter2" /><br>
    </app:equalsInitParameter>
    <h3>existsInitParameter</h3>
    <app:existsInitParameter name="InitParameter1">
      ѥ᡼InitParameter1Ƥޤ
    </app:existsInitParameter><br>
    <app:existsInitParameter name="InitParameter3" value="false">
      ѥ᡼InitParameter3Ƥޤ
    </app:existsInitParameter><br>
    </td></tr>
    </table>
  </body>
</html>