<%@ page language="java"  pageEncoding="EUC_JP"
         contentType="text/html;charset=EUC_JP" %>
<%-- Ѥ륿饤֥֤̾(Core, Format) --%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>
<html>
  <head>
    <meta http-equiv="Cache-Control" content="no-store,no-cache">
    <meta http-equiv="Pragma"        content="no-cache">
    <meta http-equiv="Expires"       content="0">
    <title>My First JSTL (fmt05.jsp:parseNumber)</title>
  </head>
  <body>
    <h2>JSTLˤ͡Ψ̲ߤɽ(fmt05.jsp:parseNumber)</h2>
    <c:set var="value1" value="12.345" />
    <c:set var="value2" value="98765.4321" />
    <fmt:setLocale value="ja" />
    <fmt:formatNumber var="currency1" value="${value1}" type="currency" />
    <fmt:formatNumber var="currency2" value="${value2}" type="currency" />
    <fmt:formatNumber var="percent1"  value="${value1}" type="percent"  />
    <fmt:formatNumber var="percent2"  value="${value2}" type="percent"  />
    <h3><c:out value="${value1}" /> : <c:out value="${value2}" />ɽ</h3>
    currency = <c:out value="${currency1}" /> : <c:out value="${currency2}" /><br>
    percent = <c:out value="${percent1}" /> : <c:out value="${percent2}" />
    <dl>
      <dt>type=&quot;number&quot;</dt>
      <dd><fmt:parseNumber value="${value1}" type="number" /><br>
          <fmt:parseNumber value="${value2}" type="number" /></dd>
      <dt>type=&quot;currncy&quot;</dt>
      <dd><fmt:parseNumber value="${currency1}" type="currency" /><br>
          <fmt:parseNumber value="${currency2}" type="currency" /></dd>
      <dt>type=&quot;percent&quot;</dt>
      <dd><fmt:parseNumber value="${percent1}" type="percent" /><br>
          <fmt:parseNumber value="${percent2}" type="percent" /></dd>
      <dt>integerOnly=&quot;true&quot;</dt>
      <dd><fmt:parseNumber value="${value1}" type="number" integerOnly="true" /><br>
          <fmt:parseNumber value="${value2}" type="number" integerOnly="true" /></dd>
      <dt>integerOnly=&quot;false&quot;</dt>
      <dd><fmt:parseNumber value="${value1}" type="number" integerOnly="false" /><br>
          <fmt:parseNumber value="${value2}" type="number" integerOnly="false" /></dd>
      <dt>parseLocale=&quot;en_US&quot;</dt>
      <fmt:setLocale value="en_US" />
      <fmt:formatNumber var="currency1" value="${value1}" type="currency" />
      <fmt:formatNumber var="currency2" value="${value2}" type="currency" />
      <dd><fmt:parseNumber value="${currency1}" type="currency" parseLocale="en_US" /><br>
          <fmt:parseNumber value="${currency2}" type="currency" parseLocale="en_US" /></dd>
    </dl>
    <fmt:setLocale value="ja" />
  </body>
</html>