<?xml version="1.0" encoding="EUC-JP"?>
<xsl:transform version="1.0"
               xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="//bookmarks">
    <table border="1">
      <tr><th></th><th>URL</th></tr>
      <xsl:for-each select="//bookmark">
        <tr>
          <td><xsl:value-of select="name" /></td>
          <td>
            <xsl:if test="@lang = 'en'">(Ѹ)</xsl:if>
            <xsl:element name="a">
              <xsl:attribute name="href">
                <xsl:value-of select="url" />
              </xsl:attribute>
              <xsl:value-of select="url" />
            </xsl:element>
          </td>
        </tr>
      </xsl:for-each>
    </table>
  </xsl:template>
</xsl:transform>
