<%@ page language="java" contentType="text/html;charset=EUC_JP" pageEncoding="EUC_JP" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/xsl-1.0" prefix="xsl" %>
<html>
  <head>
    <title>XSL Tag Library (1)</title>
  </head>
  <body>
    <h2>XSL Tag Library (1)</h2>
    <h3>apply1</h3>
    <xsl:apply xml="/xml/bookmark.xml" xsl="/xml/bookmark.xsl"/>
    <h3>apply2</h3>
    <xsl:apply xsl="/xml/bookmark.xsl">
      <?xml version="1.0" encoding="EUC-JP"?>
      <bookmarks>
        <bookmark>
          <name>ɾ</name>
          <url>http://www.gihyo.co.jp/</url>
        </bookmark>
        <bookmark>
          <name>JSP Tags. &quot;Tiny Samples&quot;</name>
          <url>http://www02.u-page.so-net.ne.jp/qa2/masa_o/tsjsp/index.htm</url>
        </bookmark>
      </bookmarks>
    </xsl:apply>
    <h3>apply3</h3>
    <xsl:apply xsl="/xml/bookmark.xsl">
      <xsl:include page="/xml/bookmark.xml"/>
    </xsl:apply>
    <h3>apply4</h3>
    <%  request.setAttribute( "bookmark", new xsltag.Bookmark() ); %>
    <xsl:apply nameXml="bookmark" propertyXml="xml" xsl="/xml/bookmark.xsl"/>
    <h3>import</h3>
    <xsl:import id="xml" page="/xml/bookmark.xml"/>
    <xsl:apply nameXml="xml" xsl="/xml/bookmark.xsl"/>
    <%--  <xsl:export name="xml"/>  --%>
    <h3>ShowSource(xsltag01.jap:ɤܸʸޤ)</h3>
    <xsl:ShowSource jspFile="xsltag01.jsp"/>
  </body>
</html>